<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
	"https://hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    
    <query name="findAllLoanRenovationDeliveryWeekly">
        <![CDATA[
            SELECT 
                p
            FROM LoanRenovationDeliveryWeeklyView p
        ]]>
    </query>
    
    <query name="findAllLoanRenovationDeliveryWeeklyTotalRenovable">
        <![CDATA[
            SELECT 
                COUNT(p)
            FROM LoanRenovationDeliveryWeeklyView p
            WHERE p.renovation = :renovation
        ]]>
    </query>
    
    <query name="findAllLoanRenovationDeliveryWeeklyTotalRenovableAmount">
        <![CDATA[
            SELECT 
                SUM(p.amountLoan)
            FROM LoanRenovationDeliveryWeeklyView p
            WHERE p.renovation = :renovation
        ]]>
    </query>
    
    

</hibernate-mapping>

